Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ColumnsHandler

    java.lang.Object
      com.sun.facelets.tag.TagHandler
          com.sun.facelets.tag.MetaTagHandler
              org.richfaces.taglib.ColumnsHandler

All Implemented Interfaces:
  com.sun.facelets.FaceletHandler

    public class ColumnsHandler

extends com.sun.facelets.tag.MetaTagHandler

TODO Class description goes here.

Author:
  "Andrey Markavtsov"

Field Summary
`static java.util.List<java.lang.String>` | `filterAttributes`
`static java.util.List<java.lang.String>` | `sortAttributes`

Fields inherited from class com.sun.facelets.tag.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`ColumnsHandler(com.sun.facelets.tag.jsf.ComponentConfig config)` TODO Description goes here.

Method Summary
`void` | `apply(com.sun.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`
`protected void` | `applyNextHandler(com.sun.facelets.FaceletContext ctx, javax.faces.component.UIComponent c)`
`org.richfaces.taglib.ColumnsHandler.IterationContext` | `getIterationContext()`

Methods inherited from class com.sun.facelets.tag.MetaTagHandler
`createMetaRuleset, setAttributes`

Methods inherited from class com.sun.facelets.tag.TagHandler
`findNextByType, getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### filterAttributes

    public static final java.util.List<java.lang.String> filterAttributes

### sortAttributes

    public static final java.util.List<java.lang.String> sortAttributes

Constructor Detail

### ColumnsHandler

    public ColumnsHandler(com.sun.facelets.tag.jsf.ComponentConfig config)

  TODO Description goes here.

  Parameters:
    `config` -

Method Detail

### getIterationContext

    public org.richfaces.taglib.ColumnsHandler.IterationContext getIterationContext()

### apply

    public void apply(com.sun.facelets.FaceletContext ctx,
                      javax.faces.component.UIComponent parent)
               throws java.io.IOException,
                      javax.faces.FacesException,
                      javax.el.ELException

  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`
    `javax.el.ELException`

### applyNextHandler

    protected void applyNextHandler(com.sun.facelets.FaceletContext ctx,
                                    javax.faces.component.UIComponent c)
                             throws java.io.IOException,
                                    javax.faces.FacesException,
                                    javax.el.ELException

  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`
    `javax.el.ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.